Table of Contents

Class: CvsDialog | eric3/VCS/cvsPackage/CvsDialog.py
--- | ---

### Module implementing a dialog starting a process and showing its output.

It starts a QProcess and display a dialog that shows the output of the process. The dialog is modal, which causes a synchronized execution of the process.

Base Classes |
--- | ---
CvsForm

Methods |
--- | ---
__init__ buttonPressed finish handleReadStderr handleReadStdout normalExit procExited startProcess
| __init__

    __init__ (
            self,
            text,
            parent=None,
            )

### Constructor

#### Arguments

text
  text to be shown by the label (string or QString)
parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| finish

    finish ( self )

Private slot called when the process finished or the user pressed the button.

| handleReadStderr

    handleReadStderr ( self )

### Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

| handleReadStdout

    handleReadStdout ( self )

### Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

| normalExit

    normalExit ( self )

### Public method to check for a normal process termination.

#### Returns

flag indicating normal process termination (boolean)

| procExited

    procExited ( self )

Private slot connected to the processExited signal.

| startProcess

    startProcess ( self,  proc )

### Public slot used to start the process.

#### Arguments

proc
  process object (QProcess)

Table of Contents

This document was automatically generated by HappyDoc version 2.1